> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Fiat Deposit

> Initiate a fiat deposit request for a specific subaccount. The request body varies depending on the currency. All deposit requests require approved KYC.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/ramp/{subaccountId}/banking/deposits
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/ramp/{subaccountId}/banking/deposits:
    post:
      tags:
        - Deposits
      summary: Request Fiat Deposit
      description: >-
        Initiate a fiat deposit request for a specific subaccount. The request
        body varies depending on the currency. All deposit requests require
        approved KYC.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  title: NGN
                  description: Requires approved KYC.
                  properties:
                    channelId:
                      type: string
                    generateNewAccount:
                      type: boolean
                      description: >-
                        Generates a new unique account each time the API is
                        called with this field set to true
                    accountId:
                      type: string
                      description: >-
                        When provided, the API returns the account that has the
                        provided id.
                  required:
                    - channelId
                    - source
                - type: object
                  title: ZMW
                  description: Requires approved KYC.
                  properties:
                    channelId:
                      type: string
                    amount:
                      type: number
                    phoneNumber:
                      type: string
                  required:
                    - channelId
                    - amount
                    - phoneNumber
                - type: object
                  title: GHS
                  description: Requires approved KYC.
                  properties:
                    channelId:
                      type: string
                    amount:
                      type: number
                    phoneNumber:
                      type: string
                  required:
                    - channelId
                    - amount
                    - phoneNumber
                - type: object
                  title: USD
                  description: Requires approved KYC.
                  properties:
                    channelId:
                      type: string
                  required:
                    - channelId
                - type: object
                  title: EUR
                  description: Requires approved KYC.
                  properties:
                    channelId:
                      type: string
                  required:
                    - channelId
                - type: object
                  title: BRL
                  description: Requires approved KYC.
                  properties:
                    channelId:
                      type: string
                    amount:
                      type: number
                  required:
                    - channelId
                    - amount
                - type: object
                  title: USD (Card)
                  description: >-
                    Collect USD via card payment. Requires approved KYC. Returns
                    a hosted payment link that redirects the customer to a card
                    payment widget.
                  properties:
                    channelId:
                      type: string
                      description: >-
                        The card deposit channel ID (e.g.,
                        usd-card-channel-id-bullring-finance)
                    amount:
                      type: number
                      description: The amount in USD to collect via card
                    redirectUrl:
                      type: string
                      description: >-
                        The URL to redirect the customer to after completing or
                        cancelling the card payment
                  required:
                    - channelId
                    - amount
                    - redirectUrl
            examples:
              NGN:
                summary: NGN Deposit Request
                value:
                  channelId: ngn-channel-id-bullring-finance
              ZMW:
                summary: ZMW Deposit Request
                value:
                  channelId: zmw-channel-id-bullring-finance
                  amount: 11.1
                  phoneNumber: '260977373310'
              GHS:
                summary: GHS Deposit Request
                value:
                  channelId: ghs-channel-id-bullring-finance
                  amount: 1
                  phoneNumber: '+233552508032'
              USD:
                summary: USD Deposit Request
                value:
                  channelId: usd-channel-id-bullring-finance
              BRL:
                summary: BRL Deposit Request
                value:
                  channelId: brl-channel-id-bullring-finance
                  amount: 100
              USD (Card):
                summary: USD Card Deposit Request
                value:
                  channelId: usd-card-channel-id-bullring-finance
                  amount: 50
                  redirectUrl: https://yourapp.com/payment/complete
      responses:
        '201':
          description: Deposit initiated successfully
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    title: NGN Response
                    properties:
                      status:
                        type: string
                      currency:
                        type: string
                      country:
                        type: string
                      rate:
                        type: number
                      localCurrency:
                        type: string
                      bankInfo:
                        type: object
                        properties:
                          id:
                            type: string
                          bankBeneficiaryName:
                            type: string
                          bankName:
                            type: string
                          bankAddress:
                            type: string
                          bankRoutingNumber:
                            type: string
                          bankAccountNumber:
                            type: string
                      channelId:
                        type: string
                  - type: object
                    title: ZMW Response
                    properties:
                      status:
                        type: string
                      amount:
                        type: string
                      localAmount:
                        type: string
                      currency:
                        type: string
                      country:
                        type: string
                      rate:
                        type: string
                      localCurrency:
                        type: string
                      channelId:
                        type: string
                  - type: object
                    title: GHS Response
                    properties:
                      status:
                        type: string
                      amount:
                        type: string
                      localAmount:
                        type: string
                      currency:
                        type: string
                      country:
                        type: string
                      rate:
                        type: string
                      localCurrency:
                        type: string
                      channelId:
                        type: string
                  - type: object
                    title: USD Response
                    properties:
                      status:
                        type: string
                      amount:
                        type: number
                      localAmount:
                        type: number
                      currency:
                        type: string
                      country:
                        type: string
                      rate:
                        type: number
                      localCurrency:
                        type: string
                      bankInfo:
                        type: object
                        properties:
                          id:
                            type: string
                          bankBeneficiaryName:
                            type: string
                          bankName:
                            type: string
                          bankAddress:
                            type: string
                          bankRoutingNumber:
                            type: string
                          bankAccountNumber:
                            type: string
                      channelId:
                        type: string
                  - type: object
                    title: BRL Response
                    properties:
                      id:
                        type: string
                      status:
                        type: string
                      amount:
                        type: number
                      localAmount:
                        type: number
                      localCurrency:
                        type: string
                      currency:
                        type: string
                      country:
                        type: string
                      bankInfo:
                        type: object
                        properties:
                          qr_code_payload:
                            type: string
                      rate:
                        type: number
                      expiresAt:
                        type: string
                        format: date-time
                      createdAt:
                        type: string
                        format: date-time
                  - type: object
                    title: MXN Response
                    properties:
                      currency:
                        type: string
                      bankInfo:
                        type: object
                        properties:
                          id:
                            type: string
                          beneficiaryName:
                            type: string
                          clabe:
                            type: string
                      channelId:
                        type: string
                  - type: object
                    title: ARS Response
                    properties:
                      currency:
                        type: string
                      bankInfo:
                        type: object
                        properties:
                          id:
                            type: string
                          cvu:
                            type: string
                          beneficiaryName:
                            type: string
                          transferReference:
                            type: string
                      channelId:
                        type: string
                  - type: object
                    title: USD Card Response
                    description: >-
                      Response for card collection deposits. Contains a hosted
                      payment link.
                    properties:
                      status:
                        type: string
                        description: The deposit status (e.g., processing)
                      amount:
                        type: number
                        description: The deposit amount
                      currency:
                        type: string
                        description: The deposit currency (USD)
                      country:
                        type: string
                        description: The country code (US)
                      channelId:
                        type: string
                        description: The card channel ID used
                      id:
                        type: string
                        format: uuid
                        description: Unique deposit identifier
                      paymentLink:
                        type: string
                        format: uri
                        description: >-
                          Hosted payment link that redirects the customer to the
                          card payment widget
              examples:
                NGN:
                  summary: NGN Response
                  value:
                    currency: NGN
                    bankInfo:
                      id: 9805dc88-b78b-4515-ab13-60f63924a565
                      bankBeneficiaryName: Dameon O"Hara
                      bankName: Maplerad
                      bankAccountNumber: '8595061826'
                    channelId: ngn-channel-id-bullring-finance
                ZMW:
                  summary: ZMW Response
                  value:
                    status: processing
                    amount: '50.00000000'
                    localAmount: '50.00000000'
                    currency: ZMW
                    country: ZM
                    rate: '1.0000'
                    localCurrency: ZMW
                    channelId: zmw-channel-id-bullring-finance
                GHS:
                  summary: GHS Response
                  value:
                    status: processing
                    amount: '20.00000000'
                    localAmount: '20.00000000'
                    currency: GHS
                    country: GH
                    rate: '1.0000'
                    localCurrency: GHS
                    channelId: ghs-channel-id-bullring-finance
                USD:
                  summary: USD Response
                  value:
                    status: pending
                    amount: 1000
                    localAmount: 1000
                    currency: USD
                    country: US
                    rate: 1
                    localCurrency: USD
                    bankInfo:
                      id: 85ebbb73-f7cd-47b7-9112-d5b06428cac9
                      bankBeneficiaryName: Mike Brown
                      bankName: Bank of Nowhere
                      bankAddress: 1800 North Pole St., Orlando, FL 32801
                      bankRoutingNumber: '101019644'
                      bankAccountNumber: '900843098394'
                    channelId: usd-channel-id-bullring-finance
                BRL:
                  summary: BRL Response
                  value:
                    id: 7ae3dc77746f4302aa67eb009b1c3c18
                    status: pending
                    amount: 100
                    localAmount: 536
                    localCurrency: BRL
                    currency: USD
                    country: BRA
                    bankInfo:
                      qr_code_payload: >-
                        00020101021226890014br.gov.bcb.pix2567brcode-h.sandbox.starkinfra.com/v2/e0e2832c91114135b38de3961037dbe45204000053039865802BR5908Bullring6015Ciudad
                        de Mexic62070503***6304BA28
                    rate: 5.36
                    expiresAt: '2025-11-21T15:32:04.000Z'
                    createdAt: '2025-11-21T15:29:35.164Z'
                USD (Card):
                  summary: USD Card Response
                  value:
                    status: processing
                    amount: 50
                    currency: USD
                    country: US
                    channelId: usd-card-channel-id-bullring-finance
                    id: 9b33f86e-f832-477c-bb26-71a9e0e73f18
                    paymentLink: >-
                      https://merchant.vesicash.com/checkout/PY_7c81d7bde52b44908518e9acf
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Unauthorized
                message: Invalid or missing API key
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Forbidden
                message: You do not have permission to access this resource
        '404':
          description: Not Found - Subaccount not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Not Found
                message: Subaccount not found
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````